Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.file
Interface FileTextMessage

    public interface FileTextMessage

FileTextMessage passed to Java collab as receive parameter of execute business rules.

Method Summary
`byte[]` | `getByteArray()` Return message byte array
`java.lang.String` | `getEncoding()` retruns a valid encoding name.
`java.lang.String` | `getText()` Return text message contents
`void` | `setByteArray(byte[] bytes)` Set byte array message contents
`void` | `setEncoding(java.lang.String encoding)` Set valid encoding name.
`void` | `setText(java.lang.String string)` Set text message contents

Method Detail

### setText

    void setText(java.lang.String string)

  Set text message contents

  Parameters:
    `string` - - message text

### getText

    java.lang.String getText()
                             throws java.io.UnsupportedEncodingException

  Return text message contents

  Returns:
    text message contents
  Throws:
    `java.io.UnsupportedEncodingException`

### getByteArray

    byte[] getByteArray()
                        throws java.io.UnsupportedEncodingException

  Return message byte array

  Returns:
    byte array message
  Throws:
    `java.io.UnsupportedEncodingException`

### setByteArray

    void setByteArray(byte[] bytes)

  Set byte array message contents

  Parameters:
    `bytes` - - byte array message

### setEncoding

    void setEncoding(java.lang.String encoding)

  Set valid encoding name. For all valid encodings, please refer to http://www.ingrid.org/java/i18n/encoding/table.html

  Parameters:
    `encoding` - encoding name

### getEncoding

    java.lang.String getEncoding()

  retruns a valid encoding name.

  Returns:
    string valid encoding name

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.